Returns generation job status and download URL for a PDF.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Documents under the Driver Workflow category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/documents/pdfs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"completedAtTime": "2020-01-02T15:04:06+07:00",
"documentId": "6c8c0c01-206a-41a4-9d21-15b9978d04cb",
"downloadDocumentPdfUrl": "https://samsara-driver-document-pdfs.s3.us-west-2.amazonaws.com/org/38487/42a4cffc-409d-4ddf-ba1c-5e3bbb961cba?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASI...&X-Amz-Date=20200423T162507Z&X-Amz-Expires=86400&X-Amz-Security-Token=IQoJ...-Amz-SignedHeaders=host&response-expires=2020-04-24T16%3A25%3A07Z&X-Amz-Signature=1c6fe87...",
"id": "5c8c0c01-206a-41a4-9d21-15b9978d04cb",
"jobStatus": "Completed",
"requestedAtTime": "2020-01-02T15:04:05+07:00"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.samsara.com/fleet/documents/pdfs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"completedAtTime": "2020-01-02T15:04:06+07:00",
"documentId": "6c8c0c01-206a-41a4-9d21-15b9978d04cb",
"downloadDocumentPdfUrl": "https://samsara-driver-document-pdfs.s3.us-west-2.amazonaws.com/org/38487/42a4cffc-409d-4ddf-ba1c-5e3bbb961cba?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASI...&X-Amz-Date=20200423T162507Z&X-Amz-Expires=86400&X-Amz-Security-Token=IQoJ...-Amz-SignedHeaders=host&response-expires=2020-04-24T16%3A25%3A07Z&X-Amz-Signature=1c6fe87...",
"id": "5c8c0c01-206a-41a4-9d21-15b9978d04cb",
"jobStatus": "Completed",
"requestedAtTime": "2020-01-02T15:04:05+07:00"
}
}